HAL: Data Fields

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Related Pages
All | Variables
b | c | d | f | h | i | k | m | n | p | r | s | t | u | v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - b -

- block_size : LibHalVolume_s
- bool_value : LibHalProperty_s
- bus : LibHalDrive_s

### - c -

- cache_enabled : LibHalContext_s
- capabilities : LibHalDrive_s
- cdrom_caps : LibHalDrive_s
- connection : LibHalContext_s
- cur_prop : LibHalPropertySetIterator_s

### - d -

- dedicated_icon_drive : LibHalDrive_s
- dedicated_icon_volume : LibHalDrive_s
- desired_mount_point : LibHalVolume_s, LibHalDrive_s
- device_added : LibHalContext_s
- device_condition : LibHalContext_s
- device_file : LibHalVolume_s, LibHalDrive_s
- device_lost_capability : LibHalContext_s
- device_major : LibHalVolume_s, LibHalDrive_s
- device_minor : LibHalVolume_s, LibHalDrive_s
- device_new_capability : LibHalContext_s
- device_property_modified : LibHalContext_s
- device_removed : LibHalContext_s
- disc_has_audio : LibHalVolume_s
- disc_has_data : LibHalVolume_s
- disc_is_appendable : LibHalVolume_s
- disc_is_blank : LibHalVolume_s
- disc_is_rewritable : LibHalVolume_s
- disc_type : LibHalVolume_s
- double_value : LibHalProperty_s

### - f -

- firmware_version : LibHalDrive_s
- fstype : LibHalVolume_s
- fsusage : LibHalVolume_s
- fsversion : LibHalVolume_s

### - h -

- hal_ctx : LibHalDrive_s

### - i -

- icon : LibHalStoragePolicyIconPair, IconMappingEntry_s
- icon_mappings : LibHalStoragePolicy_s
- icon_path : LibHalStoragePolicyIconPair
- index : LibHalPropertySetIterator_s
- int_value : LibHalProperty_s
- is_direct : LibHalContext_s
- is_disc : LibHalVolume_s
- is_hotpluggable : LibHalDrive_s
- is_initialized : LibHalContext_s
- is_mounted : LibHalVolume_s
- is_partition : LibHalVolume_s
- is_removable : LibHalDrive_s
- is_shutdown : LibHalContext_s

### - k -

- key : LibHalProperty_s

### - m -

- model : LibHalDrive_s
- mount_filesystem : LibHalVolume_s, LibHalDrive_s
- mount_options : LibHalVolume_s, LibHalDrive_s
- mount_point : LibHalVolume_s
- msdos_part_table_type : LibHalVolume_s

### - n -

- next : IconMappingEntry_s, LibHalProperty_s
- no_partitions_hint : LibHalDrive_s
- num_blocks : LibHalVolume_s
- num_properties : LibHalPropertySet_s

### - p -

- partition_number : LibHalVolume_s
- path : IconMappingEntry_s
- physical_device : LibHalDrive_s
- properties_head : LibHalPropertySet_s

### - r -

- requires_eject : LibHalDrive_s
- reservered0 : LibHalPropertySetIterator_s
- reservered1 : LibHalPropertySetIterator_s

### - s -

- serial : LibHalDrive_s
- set : LibHalPropertySetIterator_s
- should_mount : LibHalVolume_s, LibHalDrive_s
- storage_device : LibHalVolume_s
- str_value : LibHalProperty_s
- strlist_value : LibHalProperty_s

### - t -

- type : LibHalDrive_s, LibHalProperty_s
- type_textual : LibHalDrive_s

### - u -

- udi : LibHalVolume_s, LibHalDrive_s
- uint64_value : LibHalProperty_s
- user_data : LibHalContext_s
- uuid : LibHalVolume_s

### - v -

- vendor : LibHalDrive_s
- volume_label : LibHalVolume_s